<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MultilingualString StructType
 * @subpackage Structs
 */
class MultilingualString extends AbstractStructBase
{
    /**
     * The values
     * @var \StructType\Values
     */
    public $values;
    /**
     * Constructor method for MultilingualString
     * @uses MultilingualString::setValues()
     * @param \StructType\Values $values
     */
    public function __construct(\StructType\Values $values = null)
    {
        $this
            ->setValues($values);
    }
    /**
     * Get values value
     * @return \StructType\Values|null
     */
    public function getValues()
    {
        return $this->values;
    }
    /**
     * Set values value
     * @param \StructType\Values $values
     * @return \StructType\MultilingualString
     */
    public function setValues(\StructType\Values $values = null)
    {
        $this->values = $values;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MultilingualString
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
